%  getdim2.m
%	Processes output of DCORREL.FOR for
%	calculation of correlation dimension
%
ndim=dim2-dim1+1;dim=zeros(7,1);emb=zeros(7,1);
cnts=zeros(100,7);
for j=1:ndim
	cnts(:,j)=cumsum(ceps(j:ndim:100*ndim))/sum(ceps(j:ndim:100*ndim));
end
log2l=log(levels) ./log(2);
log2c=log(cnts) ./log(2);
plot(log2l,log2c,'+'); pause
dlog2l=[0;diff(log2l)];
for j=1:ndim
	dlog2c(:,j)=[0;diff(log2c(:,j))] ./dlog2l;
end
plot(log2l(30:100),dlog2c(30:100,:));pause
go=input('Do dimension calculations ?','s');
disp('Select the lower limit with the mouse')
[xllim,yllim]=ginput(1);
disp('Select the upper limit')
[xhilim,yhilim]=ginput(1);
lowlim=30;hilim=30;
for k=30:100
	if xllim>=log2l(k), lowlim=k; end
	if xhilim>=log2l(k), hilim=k; end
end
indxs=lowlim:hilim;
disp('Embedding            Dimension')
for ic=1:ndim
	dim(ic)=dim1+ic-1;
	emb(ic)=mean(dlog2c(indxs,ic));
	disp([dim(ic),emb(ic)])
end
