function dummy=quadmap(mumin,mumax,nomu,ix0)
%	quadmap(mumin,mumax,nomu,ix0)
%	mumin = minimum value of mu
%	mumax = maximum value of mu
%	nomu = number of equally-spaced values of mu to evaluate
%	ix0= = initial value, x[0]
%
%	This program is distributed as a supplement to the book
%	"Biomedical Signal Processing and Signal Modeling" by E. N. Bruce,
%	published by Wiley, 2000.  It is provided for educational use only.
%  While every effort has been made to insure its suitability to illustrate
%  principles described in the above book, no specific feature or capability 
%  is implied or guaranteed.
axis([mumin,mumax,0,1]);hold on
for muu=mumin:(mumax-mumin)/nomu:mumax
	lxx=logistic(muu,ix0,400);
	plot(muu*ones(1,nomu),lxx(400-nomu+1:400),'.')
end
hold off
dummy=1;
