%	twosines.m
%	Generates signal x = sine1 + sine2
%	where frequencies are incommensurate, and plots time and 3D graphs.
%	This program is distributed as a supplement to the book
%	"Biomedical Signal Processing and Signal Modeling" by E. N. Bruce,
%	published by Wiley, 2000.  It is provided for educational use only.
%  While every effort has been made to insure its suitability to illustrate
%  principles described in the above book, no specific feature or capability 
%  is implied or guaranteed.
x=sin(2*pi*6.726*t)+0.55*sin(2*pi*51.49*t);
zax=0.55*cos(2*pi*51.49*t);
xax=(1+0.55*sin(2*pi*51.49*t)).*sin(2*pi*6.726*t);
yax=(1+0.55*sin(2*pi*51.49*t)).*cos(2*pi*6.726*t);
figure(1),plot(x(1:400))
figure(2),plot3(xax,yax,zax)
