function y=unknown4(x)
%	y=unknown4(x,tmax)
%	Implementation of the 2-point moving averager
%	of Example 4.6.  Output, y, for input, x, is
%	calculated from t=0 to t=length(x).
%
%	This program is distributed as a supplement to the book
%	"Biomedical Signal Processing and Signal Modeling" by E. N. Bruce,
%	published by Wiley, 2000.  It is provided for educational use only.
%  While every effort has been made to insure its suitability to illustrate
%  principles described in the above book, no specific feature or capability 
%  is implied or guaranteed.
hn=[0.5;0.5];
y=filter(hn,1,x);
